"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const apputils_1 = require("@jupyterlab/apputils");
const utils_1 = require("./utils");
class BytecodeModel extends apputils_1.VDomModel {
    constructor() {
        super();
        this.handleKernelMessage = (msg) => {
            const msgType = msg.header.msg_type;
            switch (msgType) {
                case 'stream':
                    this._output = msg.content.text;
                    this._error = '';
                    this.notify();
                    break;
                case 'error':
                    console.error(msg.content);
                    this._error = msg.content.evalue;
                    this.notify();
                    break;
                default:
                    break;
            }
        };
        this._output = '';
        this._error = '';
        this._isLight = true;
    }
    formatKernelMessage(fileContent) {
        const escapedContent = utils_1.escapeComments(fileContent);
        const code = ['import dis', `dis.dis("""${escapedContent}""")`].join('\n');
        return code;
    }
    notify() {
        this.stateChanged.emit(void 0);
    }
    get output() {
        return this._output;
    }
    get error() {
        return this._error;
    }
    get isLight() {
        return this._isLight;
    }
    set isLight(value) {
        this._isLight = value;
    }
}
exports.BytecodeModel = BytecodeModel;
