"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const apputils_1 = require("@jupyterlab/apputils");
const React = require("react");
const react_syntax_highlighter_1 = require("react-syntax-highlighter");
const hljs_1 = require("react-syntax-highlighter/styles/hljs");
const BYTECODE_PANEL_CLASS = 'jp-RenderedPythonBytecode';
const BYTECODE_ERROR_CLASS = 'jp-RenderedPythonBytecodeError';
class BytecodeView extends apputils_1.VDomRenderer {
    constructor(model) {
        super();
        this.id = 'PythonBytecode';
        this.model = model;
        this.addClass(BYTECODE_PANEL_CLASS);
    }
    render() {
        if (this.model.error) {
            return React.createElement("div", { className: BYTECODE_ERROR_CLASS }, this.model.error);
        }
        const code = this.model.output;
        const theme = this.model.isLight ? hljs_1.arduinoLight : hljs_1.tomorrowNight;
        delete hljs_1.tomorrowNight.hljs['background'];
        let out = (React.createElement(react_syntax_highlighter_1.default, { language: "python", style: theme }, code));
        return out;
    }
}
exports.BytecodeView = BytecodeView;
